       PARAMETER (LAST=1000,NSIZE=10000)                                  
       DIMENSION IT(20),F(NSIZE),P(NSIZE),U(NSIZE)                         
       DOUBLE PRECISION IT1,IT2,IT                                         
C                                                                          
       II=1                                                                
       CALL CLOCK(IT1)                                                     
       DO 11 J=1,LAST                                                       
       F(J)=FLOAT(J)                                                       
       DO 11 I=1,NSIZE                                                     
       F(I)=FLOAT(I)                                                       
   11  CONTINUE                                                             
       CALL CLOCK(IT2)                                                      
       IT(II)=IT2-IT1                                                       
C                                                                           
       II=2                                                                 
       CALL CLOCK(IT1)                                                       
       DO 12 J=1,LAST                                                       
       P(J)=F(J)                                                           
       DO 12 I=1,NSIZE                                                       
       P(I)=F(I)                                                           
   12  CONTINUE                                                            
       CALL CLOCK(IT2)                                                     
       IT(II)=IT2-IT1                                                      
C                                                                          
       II=3                                                                
       CALL CLOCK(IT1)                                                     
       DO 13 J=1,LAST                                                      
       U(J)=F(J)+P(J)                                                  
       DO 13 I=1,NSIZE                                                     
       U(I)=F(I)+P(I)                                                  
   13  CONTINUE                                                            
       CALL CLOCK(IT2)                                                     
       IT(II)=IT2-IT1                                                      
C                                                                          
       II=4                                                                
       CALL CLOCK(IT1)                                                     
       DO 14 J=1,LAST                                                      
       U(J)=F(J)-P(J)                                                     
       DO 14 I=1,NSIZE                                                    
       U(I)=F(I)-P(I)                                                     
   14  CONTINUE                                                            
       CALL CLOCK(IT2)                                                     
       IT(II)=IT2-IT1                                                      
C                                                                          
       II=5                                                                
       CALL CLOCK(IT1)                                                     
       DO 15 J=1,LAST                                                      
       U(J)=F(J)*P(J)                                                      
       DO 15 I=1,NSIZE                                                     
       U(I)=F(I)*P(I)                                                      
   15  CONTINUE                                                            
       CALL CLOCK(IT2)                                                     
       IT(II)=IT2-IT1                                                      
C                                                                          
       II=6                                                                
       CALL CLOCK(IT1)                                                    
       DO 16 J=1,LAST                                                      
       U(J)=F(J)/P(J)                                                     
       DO 16 I=1,NSIZE                                                     
       U(I)=F(I)/P(I)                                                     
   16  CONTINUE                                                            
       CALL CLOCK(IT2)                                                   
       IT(II)=IT2-IT1                                                     
C                                                                         
       DO 55 I=1,II                                                        
       U(I)=FLOAT(LAST*NSIZE)/(1000000.*IT(I))                            
   55  CONTINUE                                                            
C                                                                        
       WRITE(6,110) (I,I=1,II)                                            
  110  FORMAT(1H ,6I12)
       WRITE(6,111) (IT(I),I=1,II)                                         
  111  FORMAT(1H ,6F12.5)                                               
       WRITE(6,130) (U(I),I=1,II)                                          
  130  FORMAT(1H ,6F12.5)                                               
C                                                                          
       STOP                                                                
       END
       SUBROUTINE CLOCK(TI)
       DOUBLE PRECISION TI
       X=0.0
       Y=SECNDS(X)
       TI=1.00000*Y
       RETURN
       END
